Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Epsilon » org.eclipse.epsilon.commons installation problem
org.eclipse.epsilon.commons installation problem [message #902367] Fri, 17 August 2012 11:05 Go to next message
As Sa is currently offline As SaFriend
Messages: 5
Registered: February 2010
Junior Member

I am a Rodin developer at University of Southampton, working with Michael Butler. I am trying to release my plug-in integrated into Rodin, but I have a problem with Epsilon installation.

My plug-in is depend on the "org.eclipse.epsilon.common.dt"
and this plug-in is dependent on the "org.eclipse.epsilon.commons"


I expect the later plug-in to be installed automatically when I am trying to install my plug-in, but it is not and an error occurs.


Can you please help me ?

many thanks

Asieh Salehi
  • Attachment: 1.jpg
    (Size: 167.83KB, Downloaded 258 times)
  • Attachment: 2.jpg
    (Size: 116.28KB, Downloaded 247 times)

[Updated on: Fri, 17 August 2012 11:05]

Report message to a moderator

Re: org.eclipse.epsilon.commons installation problem [message #902375 is a reply to message #902367] Fri, 17 August 2012 11:39 Go to previous messageGo to next message
Dimitris Kolovos is currently offline Dimitris KolovosFriend
Messages: 1046
Registered: July 2009
Senior Member
Hi Asieh,

Could you perhaps provide a list of steps we should go through to reproduce this problem?

Re: org.eclipse.epsilon.commons installation problem [message #903137 is a reply to message #902375] Wed, 22 August 2012 07:52 Go to previous message
Horacio Hoyos is currently offline Horacio HoyosFriend
Messages: 160
Registered: October 2009
Senior Member

Hi Asieh,

Have you installed Epsilon in the environment where you are deploying your plugin or are you exporting/packaging some of the epsilon plugins with your distribution? In the first case the "org.eclipse.epsilon.commons" should be in your environment and as Dimitris pointed out a reproducible list of steps will help. If the case is the latter, you also have to export/package the "org.eclipse.epsilon.commons" with your distribution, as the dependency is only a requirement and is not used to export/pack additional dependencies when building.


Horacio Hoyos Rodriguez
EngD Student
University Of York
Previous Topic:No pre/post conditions in ETL?
Next Topic:Metamodel of ETL
Goto Forum:

Current Time: Sat Oct 10 09:28:24 GMT 2015

Powered by FUDForum. Page generated in 0.03473 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software